Bug 190672 - yelp extremely large CJK fonts
yelp extremely large CJK fonts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 08:38 EDT by Chien-Chung Yeh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: yelp-2.16.0-10.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 03:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to change CJK fonts size (2.13 KB, patch)
2006-05-04 08:38 EDT, Chien-Chung Yeh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 165678 None None None Never

  None (edit)
Description Chien-Chung Yeh 2006-05-04 08:38:36 EDT
Description of problem:
In CJK environment, too large CJK fonts make it difficult to read documents.
Fonts setting by "Preferences" is useless.

Version-Release number of selected component (if applicable):
yelp-2.14.1-1.fc5

How reproducible:
Always

Steps to Reproduce:
1. LANG=zh_TW.UTF-8 yelp
2.
3.
  
Actual results:
Too large CJK fonts.

Expected results:
At lease change the fonts size when user change preferences's settings.

Additional info:
Attached file is my patch just for Simplified & Traditional Chinese and 
Japanese. I am not familiar with GTK programing, it is easier to regexp a 
locale string by using "QRegExp", but I do not know how to do it with GTK.

If we can apply the following line in /usr/bin/mozilla:
   MOZLOCALE=`echo $LANG | sed "s|_\([^.]*\).*|-\1|g"`
to yelp, then change fonts size for all locales should work and the code 
should be more clean.
Comment 1 Chien-Chung Yeh 2006-05-04 08:38:36 EDT
Created attachment 128604 [details]
patch to change CJK fonts size
Comment 2 sangu 2006-05-11 09:00:06 EDT
See Also : http://bugzilla.gnome.org/show_bug.cgi?id=165678
 * Building yelp 1.15.1  with gecko 1.8 over (firefox 1.5.X), this problem is fixed.
But fedora uses mozilla 1.7.3.
Comment 3 Chien-Chung Yeh 2006-05-12 15:29:32 EDT
Thank you vary much!
I'll wait for it ...
Comment 4 Chien-Chung Yeh 2006-12-04 03:02:04 EST
Fixed in FC6. (yelp-2.16.0-10.fc6)

Note You need to log in before you can comment on or make changes to this bug.